Package com.sun.messaging

# Class XAQueueConnectionFactory

java.lang.Object
com.sun.messaging.AdministeredObject
com.sun.messaging.BasicConnectionFactory
com.sun.messaging.ConnectionFactory
com.sun.messaging.XAConnectionFactory
com.sun.messaging.XAQueueConnectionFactory

All Implemented Interfaces:
  `jakarta.jms.ConnectionFactory`, `jakarta.jms.QueueConnectionFactory`, `jakarta.jms.XAConnectionFactory`, `jakarta.jms.XAQueueConnectionFactory`, `Serializable`, `Referenceable`

public class XAQueueConnectionFactory extends XAConnectionFactory implements jakarta.jms.QueueConnectionFactory, jakarta.jms.XAQueueConnectionFactory
An `XAQueueConnectionFactory` is used to create XAQueueConnections with a Java Message Service (JMS) Point-to-Point (PTP) provider.

See Also:
  - `jakarta.jms.XAQueueConnectionFactory`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sun.messaging.AdministeredObject

  `AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, VERSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XAQueueConnectionFactory()`

- ## Method Summary

  ### Methods inherited from class com.sun.messaging.XAConnectionFactory

  `createXAConnection, createXAConnection, createXAContext, createXAContext, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection, getContainerType`

  ### Methods inherited from class com.sun.messaging.ConnectionFactory

  `createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, getReference`

  ### Methods inherited from class com.sun.messaging.BasicConnectionFactory

  `createConnection, createConnection, createContext, createContext, createContext, createContext, getConnectionType, setConnectionType, setDefaultConfiguration, toString`

  ### Methods inherited from class com.sun.messaging.AdministeredObject

  `dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly, setStoredVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface jakarta.jms.ConnectionFactory

  `createConnection, createConnection, createContext, createContext, createContext, createContext`

  ### Methods inherited from interface jakarta.jms.QueueConnectionFactory

  `createQueueConnection, createQueueConnection`

  ### Methods inherited from interface jakarta.jms.XAConnectionFactory

  `createXAConnection, createXAConnection, createXAContext, createXAContext`

  ### Methods inherited from interface jakarta.jms.XAQueueConnectionFactory

  `createXAQueueConnection, createXAQueueConnection`

- ## Constructor Details

  - ### XAQueueConnectionFactory

    public XAQueueConnectionFactory()